Debian Bug report logs - #596433
prosody: postinst script fails with customised openssl configuration

version graph

Package: prosody; Maintainer for prosody is Matthew James Wild <mwild1@gmail.com>; Source for prosody is src:prosody.

Reported by: julien@debian.org

Date: Sat, 11 Sep 2010 11:39:02 UTC

Severity: important

Found in version prosody/0.7.0-1

Fixed in version prosody/0.8.2-1

Done: Enrico Tassi <gareuselesinge@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthew James Wild <mwild1@gmail.com>:
Bug#596433; Package prosody. (Sat, 11 Sep 2010 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to julien@kirya.net:
New Bug report received and forwarded. Copy sent to Matthew James Wild <mwild1@gmail.com>. (Sat, 11 Sep 2010 11:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: prosody: postinst script fails with customised openssl configuration
Date: Sat, 11 Sep 2010 13:37:22 +0200
Package: prosody
Version: 0.7.0-1
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I have configured openssl to use several commonName options, which makes
prosody uninstallable.

Indeed, the postinst script expects to give an hardcoded number of answers
during the certificate creation, and fails when more answers are needed.

A better way would be to ship a standard openssl configuration file, and use
it through openssl -config option, or the OPENSSL_CONF environment variable.

Cheers,
Julien

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (100, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyLae4ACgkQIQvyq59x1EkaawCeIhXzTllCN4iFylP8KaqL1MSk
+qwAoKmcY+zeDeKsb6nCaX11aL7/iBHI
=I8VG
-----END PGP SIGNATURE-----




Changed Bug submitter to 'julien@debian.org' from 'julien@kirya.net' Request was from Julien Valroff <julien@gaia.kirya.net> to control@bugs.debian.org. (Mon, 08 Nov 2010 21:06:49 GMT) Full text and rfc822 format available.

Reply sent to Enrico Tassi <gareuselesinge@debian.org>:
You have taken responsibility. (Thu, 21 Jul 2011 20:54:06 GMT) Full text and rfc822 format available.

Notification sent to julien@debian.org:
Bug acknowledged by developer. (Thu, 21 Jul 2011 20:54:06 GMT) Full text and rfc822 format available.

Message #12 received at 596433-close@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 596433-close@bugs.debian.org
Subject: Bug#596433: fixed in prosody 0.8.2-1
Date: Thu, 21 Jul 2011 20:51:37 +0000
Source: prosody
Source-Version: 0.8.2-1

We believe that the bug you reported is fixed in the latest version of
prosody, which is due to be installed in the Debian FTP archive:

prosody_0.8.2-1.debian.tar.gz
  to main/p/prosody/prosody_0.8.2-1.debian.tar.gz
prosody_0.8.2-1.dsc
  to main/p/prosody/prosody_0.8.2-1.dsc
prosody_0.8.2-1_amd64.deb
  to main/p/prosody/prosody_0.8.2-1_amd64.deb
prosody_0.8.2.orig.tar.gz
  to main/p/prosody/prosody_0.8.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596433@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Tassi <gareuselesinge@debian.org> (supplier of updated prosody package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 21 Jul 2011 21:55:57 +0200
Source: prosody
Binary: prosody
Architecture: source amd64
Version: 0.8.2-1
Distribution: unstable
Urgency: low
Maintainer: Matthew James Wild <mwild1@gmail.com>
Changed-By: Enrico Tassi <gareuselesinge@debian.org>
Description: 
 prosody    - Lightweight Jabber/XMPP server written in Lua
Closes: 596433
Changes: 
 prosody (0.8.2-1) unstable; urgency=low
 .
   * New upstream bugfix release
   * Fixed ssl cert generation in postinst (Closes: #596433)
   * Bumped standards version to 3.9.2, no changes
   * source format 3.0 (quilt)
Checksums-Sha1: 
 60314bb1add6a8ba244e7161c34d429176ef6bae 1176 prosody_0.8.2-1.dsc
 a029c4e69f6daaf3320061e69c9f86390d7e845a 212170 prosody_0.8.2.orig.tar.gz
 82b63be8d81eaf92713a3407e0aadf50526ff390 9933 prosody_0.8.2-1.debian.tar.gz
 93824ef4f7e453a40d700d7b973d9d6fd9e17e18 194182 prosody_0.8.2-1_amd64.deb
Checksums-Sha256: 
 6c2912f67ada38171c3159241781ab11548370dde59a63639dd95da14ce0e427 1176 prosody_0.8.2-1.dsc
 d0315150f8487fc960adf56ce057985428679975f9c6f3fcf424832d24eaae60 212170 prosody_0.8.2.orig.tar.gz
 71ce4565ddb9147958e37a4ba43a8b41e2492af8aafd515da5062520404a91be 9933 prosody_0.8.2-1.debian.tar.gz
 fb55e7db4f3019835d3f9b8ddea17f82bdb714773edf84a6b794d134b0cd68d7 194182 prosody_0.8.2-1_amd64.deb
Files: 
 7f5f3b383dce21063248bd2377d65fd8 1176 net extra prosody_0.8.2-1.dsc
 6e907bf0d0acf24f1011083020ba6ffb 212170 net extra prosody_0.8.2.orig.tar.gz
 92919543c37e0ee3af238884e9869299 9933 net extra prosody_0.8.2-1.debian.tar.gz
 6b1d3131e0fad7f50cde1973b6016926 194182 net extra prosody_0.8.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4ohggACgkQ7kkcPgEj8vJ9LwCeMWQyTfyw+FDej02o403NnTnN
S+4An2qtPWgV+a1/QPLr2kgG+kHlhVp8
=b4vz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Aug 2011 07:35:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:11:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.